2005-02-05	Florian Boor  	<florian.boor@kernelconcepts.de>

	* cfgfile.c (is_present_interface): Don't hide bnep* interfaces.

2005-02-03	Florian Boor  	<florian.boor@kernelconcepts.de>

	* theme.c: Changed some defaults.
	* sysinfo.c: Fixed broken display of long adresses.

2005-01-19	Florian Boor  	<florian.boor@kernelconcepts.de>

	* theme.c: Some cleanups, added setting for terminal font size.
	* applets.*: Removed some old cruft.
	* suid.*, applets.*: Moved change_cfg_value() to applets.c.
	* tasks.c: include applets.h instead of suid.h.

2005-01-02	Florian Boor  	<florian.boor@kernelconcepts.de>

	* sysinfo.c: Corrected comment.
	
2005-01-01  Luc Pionchon  <luc@handhelds.org>

	* network.c (show_wificonfig): remove markup from i18n'ed strings.
	* tools/interface.c (if_to_infostr): Likewise.

2004-11-28	Florian Boor  	<florian.boor@kernelconcepts.de>

	* cfgfile.*, network.c: Fixed device position handling which contained 
	                        several bugs.

2004-11-23	Florian Boor  	<florian.boor@kernelconcepts.de>

	* cfgfile.*, network.c: Hide all network interfaces that are not available.

2004-11-19	Florian Boor  	<florian.boor@kernelconcepts.de>

	* users/interface.*, users/callbacks.c: Prevent user from deleting last 
	                                        user account.
	* timeanddate.c: Make some entries activate OK button.

2004-11-23	Florian Boor  	<florian.boor@kernelconcepts.de>

	* Released Version 0.1.22

2004-11-17	Florian Boor  	<florian.boor@kernelconcepts.de>

	* users/interface.c, users/callbacks.c: Fixed password changing.

2004-11-15	Florian Boor  	<florian.boor@kernelconcepts.de>

	* main.c: Use dialogs for 640x480 screens.
	* network.c: Fixed bug causing segfault if dillo is not installed.

2004-11-17	Florian Boor  	<florian.boor@kernelconcepts.de>
	
	* cardinfo.c, packages.c: Removed including unused header file.
	
2004-11-11	Florian Boor  	<florian.boor@kernelconcepts.de>

	* soundctl.c: Fixed some more restore bugs.

2004-11-10	Florian Boor  	<florian.boor@kernelconcepts.de>

	* soundctl.c: Restrict channel loading to active channels.
	* tasks.c: Fixed bug caused sound to be muted on restore.

2004-11-06	Florian Boor  	<florian.boor@kernelconcepts.de>

	* login-setup.*, suid.c: Implemented autologin switch. Fixed some formating.

2004-11-05	Florian Boor  	<florian.boor@kernelconcepts.de>

	* main.c: Changed some default sizes.

2004-11-04	Florian Boor  	<florian.boor@kernelconcepts.de>

	* Makefile: Added Chinese translation. Thanks to Meng Jie for
                    contributing this.

2004-11-01	Florian Boor  	<florian.boor@kernelconcepts.de>

	* sound.c: Changed locations of mixer icons.

2004-10-31	Florian Boor  	<florian.boor@kernelconcepts.de>

	* Released version 0.1.21

2004-10-29	Ole Reinhardt   <ole.reinhardt@kernelconcepts.de>
	* network.c:
	Changed handling of WiFI WEP keys. Keys are saved as string by
	default if not in correct hexadecimal notation. A correct hexadecimal key
	has a length of 40, 104 or 232 bit (5, 13, 29 hex values).

	e.g.:

	string: "Hello_world_key"
	hex:    0102030405
	hex:    0102-0304-05
	hex:    0102-0304-0506-0708-0910-1112-13
	hex:    abcdef011234abcd0000000000
	hex:    dead-beef-0000-0000-0000-0000-00
	hex:    feed-a0-0a-000000000000000012


2004-10-28	Florian Boor  	<florian.boor@kernelconcepts.de>

	* suid.c, network.c: Don't set nameserver if entry is empty.
	* timeanddate.c, suid.c: Return feedback if ntpdate was successful.
	* Makefile: Version increased.

2004-10-26	Florian Boor  	<florian.boor@kernelconcepts.de>

	* Makefile: Version++
	* network.c: Increased default dialog size.
	* main.c: Make applets appear as a dialog on larger screens.
	* theme.c, main.c: Added hack "task_background" to change background
	                   image only.

2004-10-25	Florian Boor  	<florian.boor@kernelconcepts.de>

	* suid.c: Set hardware clock using hwclock.
	* storage.c (system_memory): Rewrote parser to work on linux 2.6 and 2.4.
	* sysinfo.c (get_device_info): Removed some now useless stuff.

2004-10-24	Florian Boor  	<florian.boor@kernelconcepts.de>

	* sysinfo.c (get_device_info): Changed memory size info to (hopefully)
	                               work with linux 2.6.
	                               Added some more details from uname().

2004-10-16	Florian Boor  	<florian.boor@kernelconcepts.de>

	* users/callbacks.c, interface.c: Support for standalone password dialog.
	* main.c: Added simple support for applets creating its own window.
	          New parameter to users setup: "password" for password change
			  dialog only.
	* cfgfile.c, network.c: Never open a file an dont check if opening was
	                        successful.
	* suid.c, network.*: Improved applying of network config changes.

2004-10-12	Florian Boor  	<florian.boor@kernelconcepts.de>

	* Released Version 0.1.20
	* sound.c: Implemented alarm test function.
	* ownerinfo.c: Introduced defines for image size. Increased size to 64x64.
	* screen/main.c, callbacks.h: disabled screensaver setting. (Currently
	                              useless on a PDA). Changed display layout.
	* calibrate.c: Changed error message.

2004-10-10	Florian Boor  	<florian.boor@kernelconcepts.de>

	* Renamed "ipaqscreen" stuff to "screen".

2004-10-07	Florian Boor  	<florian.boor@kernelconcepts.de>

	* brightness.c: Some more fixes.
	* brightness.c: Fixed sysfs interface to find the correct interface.
	* sound.c: Changed labels to become more descriptive.
	* sound/sound.c, alarmctl*: Switch for automatic volume setting.
	                            Added icon for alarm volume slider.
	* sound/sound.c, alarmctl*: Implemented alarm settings.
	* sound/alarmctl.[c/h]: New files implementing alarm settings interface.
	* Makefile: Version number, added new module.

2004-10-07	Florian Boor  	<florian.boor@kernelconcepts.de>

	* ipaqscreen/brightness.c: Added support for linux 2.6 sysfs interface.

2004-10-01	Florian Boor  	<florian.boor@kernelconcepts.de>

	* login-setup.c: Enable display locking only if a password is set.
	* users/callbacks.c: Remove new user if cancel is clicked.

2004-09-29	Florian Boor  	<florian.boor@kernelconcepts.de>

	* main.c: Renamed network applet from "IP Addresses" to "Network Setup".

2004-09-28	Florian Boor  	<florian.boor@kernelconcepts.de>

	* serial.c: Added hint that gpsd is necessary to use GPS settings.

2004-09-22	Florian Boor  	<florian.boor@kernelconcepts.de>

	* theme.c: Changed maximum application font size from 20 to 16.
	           Some GUI improvement for appmgr interface.
		   
	* login-setup.c: Removed support for login background because of missing
	                 support in gpe-login.

2004-09-20	Florian Boor  	<florian.boor@kernelconcepts.de>

	* sleep/callbacks.c,
	  sleep/main.c: Renamed ipaq-sleep config file to become more generic and
	                hidden.
	  
	* ownerinfo.c: Restart gpe-login to update info.

2004-09-16	Florian Boor  	<florian.boor@kernelconcepts.de>

	* suid.c: Use xtscal for calibration directly.

2004-09-12	Florian Boor  	<florian.boor@kernelconcepts.de>
	
	* Released V 0.1.19
	* soundctl.c: Removed another obsolete ioctl().
	* soundctrl.c: Fixed segfault and some minor issues.
	* sound.c: Added some comments.
	* main.c: Minor fix in applet handling.
	* tasks.*: Implemented sound settings save/restore task.
	* main.c: Added commandline task for sound setup save/restore.
	* sound.c: Sound playback after slider change.
	* soundctrl.*: Implemented simple playback function. (play_sample)
	* (new) data/activate.wav: Sound sample file.
	* Makefile: Installation of sound sample.

2004-09-11	Florian Boor  	<florian.boor@kernelconcepts.de>

	* storage.c: Minor label formating fix.
	* sound/*: Save and restore of mixer values. Filtering, applying settings.
	* HACKING: Some updates, made the sound tool the sound applet the example.	
	* sound/*: Implemented sound control front- and backend:
	           - Basic frontend
			   - Reading device info from backend
	* sound/soundctrl.*: New files for sound interface backend.

2004-09-10	Florian Boor  	<florian.boor@kernelconcepts.de>

	* tools/interface.c: Removed tabs from messages. Fixing #1188
	* sleep/confGUI.c: Fixed bug causing slider to become disabled.
	  sleep/callbacks.c
	* sound/sound.*, gpe-conf-sound.desktop.in, gpe-conf-sound.png: new files.
	* Makefile, main.c: Added new module: Sound settings.
	* Makefile: V 0.1.19

2004-09-09	Florian Boor  	<florian.boor@kernelconcepts.de>

	* Released V 0.1.18
	* storage.c: Display status of mtd block devices.
	* *.desktop.in: Turned on startup notification.
	* users/passwd.*: New files that provide password changing function.
	                passwd.c is taken from busybox 1.00-rc3
	* users/callbacks.c, suid.c: Changed user update to new function instead 
	                             of pipe.
	* Makefile: Added new module, changed version number.

2004-09-08	Florian Boor  	<florian.boor@kernelconcepts.de>

	* main.c: Moved window title setup.
	* sysinfo.c, logread.c: Several minor GUI design fixes.
	* network.c: Removed obsolete declaration, formating change.
	* sleep/interface.c: Set spinbutton size to proper amount of chars.
    * users/interface.c, callbacks.c: Distinguish between setting and changing 
	                                  a password.	

2004-09-07	Florian Boor  	<florian.boor@kernelconcepts.de>

	gpe-config.conf: Fixed access control.

2004-09-06	Florian Boor  	<florian.boor@kernelconcepts.de>

	* login-setup.h: Updated path to latest standard.

2004-09-02	Florian Boor  	<florian.boor@kernelconcepts.de>
	
	* sysinfo.c: Quick hack to fix reporting of wireless devices.
	* theme.c: Added defines to switch to alternate, less functional GUI.
	* ipaqscreen/*, suid.c: Added defines to turn of Xrandr which is note               
	                        supported on all platforms.

2004-08-29	Florian Boor  	<florian.boor@kernelconcepts.de>

	* theme.c: Fixed default icon size.
	* users/interface.c: Disable unchangable fields.
	* Released V 0.1.17
	* network.c: Fixed some labels, set button defaults, dialog size.
	* Makefile: Some minor fixes.
	* cfgfile.c: Fixed broken initialisation.
	* applets.c: Removed obsolete definition.
	* users/interface.c: Implemented password changing.
	        callbacks.c
			
2004-08-29	Florian Boor  	<florian.boor@kernelconcepts.de>
	
	* Makefile: Version update.
	* theme.c: Changed some spellings from AE to BE.
	* main.c, main-info.c: Set default button.
	* users/*: Added password change dialog, changed default settings.
	           (not finished)

2004-08-25	Ole Reinhardt   <ole.reinhardt@kernelconcepts.de>
	* network.c: Support for Wireless LAN devices, automatically WiFi detection,
	             improved automaticaly device detection (add device command)
	* cfgfile.*: Support for Wireless LAN devices. Writes and reads the following
		     parameters in /etc/network/interfaces:
		     
		     - wireless_essid 
		     - wireless_mode
		     - wireless_channel
		     - wireless_key

2004-08-24	Florian Boor  	<florian.boor@kernelconcepts.de>

	* theme.c: Fixed background image setup for pathes that need shell escapes.

2004-08-23	Florian Boor  	<florian.boor@kernelconcepts.de>

	* timeanddate.c: Read current TZ from file instead of environment.
	* battery.c: Several improvements in APM stuff like correct handling 
	             of units and improved bar setup.

2004-08-20	Florian Boor  	<florian.boor@kernelconcepts.de>

	* Released Version 0.1.16
	* Global changes (gpe-info): All applets need to make sure their widgats are 
	                             visible. We support applets that may want to 
								 hide some of them.
	* battery.c: Changed default visibility of widgets for second battery.
	* main-info.c, sysinfo.c: Changes how widgets are shown.

2004-08-19	Florian Boor  	<florian.boor@kernelconcepts.de>

	* timeanddate.c: Fixed bug causing date not set if changed in combo.

2004-08-18	Florian Boor  	<florian.boor@kernelconcepts.de>

	* Released Version 0.1.15
	* sleep/*: Implemented dim level setting for ipaq-sleep 0.8.
	
2004-08-17	Florian Boor  	<florian.boor@kernelconcepts.de>

	* brightness.c: Fixed bug causing screensaver to turn on.
	* theme.c: Fixed issue caused failure if gconf is installed.
	
2004-08-16	Florian Boor  	<florian.boor@kernelconcepts.de>

	* Released Version 0.1.14
	* sleep/*: Second stage of sleep GUI rework.
	* battery.c: Added hack to indicate low battery even if APM reports high.

2004-08-15	Florian Boor  	<florian.boor@kernelconcepts.de>
	
	* sleep/callbacks.*: Started to change GUI from spinbuttons to sliders.
	* users/interface.c: Improved access control checks.
	* users/interface.c: Added standard headers. Some cleanups.
	  users/callbaks.c
	* battery.c: Minor fix to compensate broken APM emulation.
	
2004-08-14	Florian Boor  	<florian.boor@kernelconcepts.de>
	
	* theme.c: Added casts to fix warnings.
	* tools/interface.c: Removed obsolete stuff, fixed warnings.
	* rotation.c: Removed obsolete variables, fixed warnings.
	* unimplemented.c: Fixed warning.
	* HACKING: Some minor fixes and reordering.
	           Added a small section of tasks.
	* logread.c: Added newline chars to error messages, formating changes.
	* storage.c: Added simple support for storage size report of IDE harddisks.
	* sysinfo.c: GUI improvement of hardware tab.
	* battery.c: Implemented reading of APM status values.
	* Makefile: Fixed machine depending definitions, increased version number.
	* serial.c: Some improvements to work on more systems.
	
2004-08-12	Florian Boor  	<florian.boor@kernelconcepts.de>

	* Released Version 0.1.13
	* applets.c, suid.*: Checks for empty root password now and supresses
	                     dialog in this case.

2004-08-11	Florian Boor  	<florian.boor@kernelconcepts.de>
	
	* logread.c: Session log scrollbars appear only if necessary now.
	* Makefile: Working on V 0.1.13, changed default PREFIX to /usr/local
	* login-setup.c: Removed obsolete #endif
	* suid.c, users/callbacks.c: Implemented removing a users home directory.
	
2004-08-08	Florian Boor  	<florian.boor@kernelconcepts.de>
 
    * brightness.c: Do not set level to 0 on platforms that my have a 
	                non-transflective display.
	* time.c: Reset X screensaver after setting time. Removed obsolete stuff.
	* theme.c: Guessing of better defaults.
	* applets.c: Fixed typo in widget name.

2004-08-06	Florian Boor  	<florian.boor@kernelconcepts.de>

	* applets.c: Fixed behaviour of password dialog and enter key.

2004-08-05	Florian Boor  	<florian.boor@kernelconcepts.de>

	* Makefile: Improved "clean" target.
	* Released Version 0.1.12
	* brightness.c: Minor bugfix.

2004-08-04	Florian Boor  	<florian.boor@kernelconcepts.de>

	brightness.c: Merged in code from minilite to support generic and
	              new Simpad interface.

2004-07-27	Florian Boor  	<florian.boor@kernelconcepts.de>
	* sysinfo.c: Fixed misuse of GError.
	* Makefile: Working on V 0.1.12
	* battery.c: Hide widgets for second battery if not available.

2004-07-21	Florian Boor  	<florian.boor@kernelconcepts.de>
	* ipaqscreen/main.c: Raised lower limit for screensaver timeout.

2004-07-20	Florian Boor  	<florian.boor@kernelconcepts.de>
	* battery.c: Improved battery status display using APM.

2004-07-01	Florian Boor  	<florian.boor@kernelconcepts.de>
	* theme.c, appmgr_setup.c: Applied several patches that fix hardcoded 
	  pathes and gconf related breakage. Contributed by Jim Huang.

2004-06-28	Florian Boor  	<florian.boor@kernelconcepts.de>

	* ipaqscreen/main.c, brightness*, callbacks.*: Merged in new
	  functions from minilite.c. Removed obsolete on/off setting.
	* suid.c: Removed obsolete light on/off stuff.	

2004-06-18  Philip Blundell  <philb@gnu.org>

	* gpe-conf.desktop.in: Correct icon name.

2004-06-17	Florian Boor  	<florian.boor@kernelconcepts.de>
	* Released V 0.1.11
	* battery.c, sysinfo.c: Minor fixes: Device needs reopening. Formating.
	* sysinfo.c: Swapped methods identifying flash size.
	* sysinfo.c: Added some Zaurus models.
	* sysinfo.c, Makefile: We know about Familiar and OpenEmbedded now.
	* Makefile: Version pushed to 0.1.11.
	* sysinfo.c: Several minor fixes.
	* logread.c: Added missing borders.
	* interface.c: Removed stupid tabs.
	* suid.c, network.c: Removed obsolete DHCP setting.
	* interface.c, network.c: Removed toolbar style setting.
	* calibrate.c: Removed obsolete mbcontrol call. Fixed strange behaviour.

2004-06-16	Florian Boor  	<florian.boor@kernelconcepts.de>
	* theme.c: Second step of teaching gpe-conf gconf.

2004-06-15	Florian Boor  	<florian.boor@kernelconcepts.de>
	* theme.c: First step of teaching gpe-conf gconf.
	* sysinfo.c: Try to get flash size from /proc/mtd too. 

2004-06-12	Florian Boor  	<florian.boor@kernelconcepts.de>
	* battery.c: Added some APM support. With some luck it should work on any 
	             system with /proc/apm.
	
2004-06-11	Florian Boor  	<florian.boor@kernelconcepts.de>
	* users/interface.h: Removed obsolete cruft.
	* logread.c: Fixed missing setup of scrollbars.
	* sysinfo.c: Fixed multiple sources of segfaults on non-iPaq platforms.
	* sysinfo.c, Makefile: Improved information on several platforms.
	
2004-06-10	Florian Boor  	<florian.boor@kernelconcepts.de>
	* Released V 0.1.10
	* Removed obsolete file.

2004-06-08	Florian Boor  	<florian.boor@kernelconcepts.de>
	* ipaqscreen/rotation.c: Finally made Xrandr work.
	* cfgfile.c: Added missing initialisation of GError.
	* Makefile: Added Xrandr lib.
	* ipaqscreen/rotation.c: Some more lines of Xrandr code.

2004-06-07	Florian Boor  	<florian.boor@kernelconcepts.de>
	* ipaqscreen/rotation.c: Start implementing using Xrandr extensions
                                 directly.
	* Makefile: Install gpe-conf binary suid root. Removed old cruft.

2004-06-04	Florian Boor  	<florian.boor@kernelconcepts.de>
	* network.c, sysinfo.c: Fixed some missing initialisations of
	  GErrors that caused segfaults if they are used.
	* applets.c: Made OK button default.

2004-06-04  Philip Blundell  <philb@gnu.org>

	* gpe-conf.desktop.in: New desktop file for top-level "control panel".
	* pixmaps/gpe-config.png, pixmaps/gpe-config-admin.png: Switch
	icons around.

2004-06-04	Florian Boor  	<florian.boor@kernelconcepts.de>
	* Makefile: some minor build fixes.
	* battery.c: Fixed platform dependency.
	* cardinfo.c: Fixed incuding of pcmcia headers.

2004-06-03	Florian Boor  	<florian.boor@kernelconcepts.de>
	* Makefile, brightness.c: Some more changes to become more independent from 
	  hardware platform.
	* Makefile: Several changes to to make it compatible with OE.

2004-06-02	Florian Boor  	<florian.boor@kernelconcepts.de>
	* Makefile, main.c: Disabled obsolete appmgr stuff.
	* info-main.c: removed debug output.
	* Released V 0.1.8

2004-05-27	Florian Boor  	<florian.boor@kernelconcepts.de>
	* Makefile, control1: Removed obsolete libdotdesktop stuff.

2004-05-24	Florian Boor  	<florian.boor@kernelconcepts.de>
	* theme.c: New setting: toolbar style via xsettings.

2004-03-27	Florian Boor  	<florian.boor@kernelconcepts.de>
	* ownerinfo.c, login-setup.c: Removed markup from string, fixes bug #1187.
	* gpe-conf-users.desktop.in: Removed trailing spaces, fixes bug #1189.

2004-03-19	Florian Boor  	<florian.boor@kernelconcepts.de>
	* login-setup.*: Fixed segfault, fixed warning.
	* Makefile: Fixed debug builds.
	
2004-03-15	Florian Boor  	<florian.boor@kernelconcepts.de>
	* keyctl.c: Fixed path to icon. 
	
2004-03-05	Florian Boor  	<florian.boor@kernelconcepts.de>
	* Makefile: Removed obsolete IPAQ_INCLUDES.

2004-03-02	Florian Boor  	<florian.boor@kernelconcepts.de>
	* keyctl.c: We restart keylaunch now, this applies changes instantly.
	* keyctl.c: Moved init of edit field to fix #1169.
	* network.c: Improved handling of deleted interfaces. Fixes #1153.
	* Removed obsolete generated .desktop files from cvs.
	* main.c: Removed loading of obsolete icons.
	* cardinfo.c: Fixed bug caused loading unused icon.
	* control: Changed dependency to newer version of libgpewidget.
	* Released V 0.1.6
	
2004-02-18	Florian Boor  	<florian.boor@kernelconcepts.de>
	* battery.c, Makefile: Battery status shows learning status now.
	* ipaqscreen/main.c, ipaqscreen/callbacks.*: Changed screensaver 
	  switch fixing bug 1152
	
2004-02-17	Florian Boor  	<florian.boor@kernelconcepts.de>
	* main.c, main-info.c: Changed button box border size.
	
2004-02-12	Florian Boor  	<florian.boor@kernelconcepts.de>
	* Makefile: Added icon for serial devices.
	* serial.*, suid.c: Implemented serial port selection for gpsd.
	* cardinfo.c: Changed bar to menu.
	* Makefile: Removed absolete icons.
	
2004-02-09	Florian Boor  	<florian.boor@kernelconcepts.de>
	* Makefile: Compile without package tool per default.
	* suid.c: Some minor fixes.
	* keyboard.c, main.c, Makefile: External keyboard tool switched with 
		PACKAGETOOL switch, it depends on it.
	* sleep/*: Removed obsolete IRQ setup stuff.
	* main.c: Changed applet title. 
	* theme.c: Changed some labels.

2004-02-08	Florian Boor  	<florian.boor@kernelconcepts.de>
	* Makefile: CVS version is 0.1.6 now.
	* theme.c: Added switch "Visual performance to turn composite stuff on/off.
	* Released and packaged 0.1.5
	
2004-02-07	Florian Boor  	<florian.boor@kernelconcepts.de>
	* Fixed theme selection if unknown theme is configured.
	* Fixed color settings to work with latest mb* stuff.

2004-01-22	Florian Boor  	<florian.boor@kernelconcepts.de>
	* Added main-info.c i forgot.

2004-01-21	Florian Boor  	<florian.boor@kernelconcepts.de>
	* Applied Libor's patches for some renamings in sysinfo.c and
	  proper definition of variables in Makefile.
2004-01-20	Florian Boor  	<florian.boor@kernelconcepts.de>
	* Changed title of appearance applet.

2004-01-17	Florian Boor  	<florian.boor@kernelconcepts.de>
	* Added missing ipaq-s1.png to installed bitmaps, removed logread
icon from list.
2004-01-12	Florian Boor  	<florian.boor@kernelconcepts.de>
	* main-info.c, battery.c, storage.c: Fixed scrollbar handling.

2004-01-12	Florian Boor  	<florian.boor@kernelconcepts.de>
	* Makefile, main-info.c: gpe-info target, main for gpe-info.
	* sysinfo.c, applets.h: Some minor additions, fixes.
	* unimplemented.c: Removed obsolete stuff.
	* main-info.c: Added tab selection code.
	* theme.c: Fixed bug that let the image radiobutton enabled on 
	  theme default.
	* Removed obsolete desktop files.
	* Released V 0.1.4

2004-01-09	Florian Boor  	<florian.boor@kernelconcepts.de>
	* sysinfo.c: Major update to network info tab.
	* tools/interface.c: Some hacks to make strings look nicer.
	* storage.c: Code reduction, statup speedup.
	* sysinfo.c: Fixed dialog come up with wrong tab.
	* sysinfo.c: Added syslog tab.
	* sysinfo.c: Added displaying of default gateway.
	* main.c: Install signal handler for cleanup on exit.
	
2004-01-08	Florian Boor  	<florian.boor@kernelconcepts.de>
	* sysinfo.c: Started merging info applets.
	* sysinfo.c: Added network info.
	* packages.c: Minor GUI improvements.
	* storage.c: Some other small tweaks and fixes.
	* tools/interface.c: Removed some obsolete stuff, minor fixes.

2003-12-27	Florian Boor  	<florian.boor@kernelconcepts.de>
	* gpe-conf-theme.desktop.in: Renamed to "Appearance".
	* theme.c: Changed some size limits (fonts, icons)
	* theme.c, applets.*: Filter theme to display only matchbox-enabled themes.
	* theme.c: Make font selectors close automatically.
	* theme.c: Added toolbar size changing facility.
	
2003-12-04	Florian Boor  	<florian.boor@kernelconcepts.de>
	* timeanddate.c: Removed some old stuff.
	* suid.c, main.c, Makefile: Make package tool optional.

2003-11-28	Florian Boor  	<florian.boor@kernelconcepts.de>
	* Added flash info.
	* Fixed several issues in CVS (wrong/missing files)
	* We now read familiar version info.
	* storage.*: Moved stuff to header file.
	* Makefile: added new pixmaps
	* Added device information features.
	
2003-11-27	Florian Boor  	<florian.boor@kernelconcepts.de>
	* Makefile, main.c: Added sysinfo applet.
	* Added files *sysinfo*.
	* Added pixmaps (icon, symbols for Linux and Familiar)
	
2003-11-26	Florian Boor  	<florian.boor@kernelconcepts.de>
	* keyctl.c: Changes icon to symbol for selected button now.
	* pixmaps/ibutton*: Added preliminary icons for iPAQ buttons.
	
2003-11-24	Florian Boor  	<florian.boor@kernelconcepts.de>
	* keyctl.c: Many fixes, added redefined entrys.
	
2003-11-21	Florian Boor  	<florian.boor@kernelconcepts.de>
	* keyctl.c: Fixed reading code, added config file writing.
	
2003-11-19	Florian Boor  	<florian.boor@kernelconcepts.de>
	* theme.c: Fixed wrong brackets.
	* keyctl.c: Started config reading code.
	
2003-11-19	Florian Boor  	<florian.boor@kernelconcepts.de>
	* theme.c: Set some more intelligent defaults.
	
2003-11-16	Florian Boor  	<florian.boor@kernelconcepts.de>
	* main.c: Removed obsolete loading of default-bg pixmap.
	          Moved loading of ipaq bitmap to keyctl module.
	* keyctl.c: Fixed several bugs in data handling. 
	            Added loading of necessary pixmaps.
	Still open:
	            - Pixmaps
				- Loading of configuration
				- Saving
				- Special functions	
	
2003-11-16	Florian Boor  	<florian.boor@kernelconcepts.de>
	* keyctl.c: Third step of major design changes, currently broken.
	
2003-11-14	Florian Boor  	<florian.boor@kernelconcepts.de>
	* keyctl.c: Second step of major design changes.
	* main.c: changed image to load.
	
2003-11-13	Florian Boor  	<florian.boor@kernelconcepts.de>
	* keyctl.c: First step of major design changes.
	* sleep/confGUI.c: Fixed accidentally commented out section.
	
2003-11-11	Florian Boor  	<florian.boor@kernelconcepts.de>
	* theme.c: Enabled removing of background settings.
	* control1: Added dependency to new version of xst.
	* Makefile: Released 0.1.3, updated version nr
	* main.c: Fixed misnamed filename.
	
2003-11-04	Florian Boor  	<florian.boor@kernelconcepts.de>
	* network.c: Allow users to view config. Some minor cleanups.
	* cfgfile.c: Fixed bug causing wrong parameters for some interfaces.

2003-11-03	Florian Boor  	<florian.boor@kernelconcepts.de>
	* suid.c: Fixed bug that caused a crash on error syncing time.
	* timeanddate.c: Replaced a dissapeared timeserver.
	* Makefile: Version is 0.1.2 now.
	* Released 0.1.2.
	
2003-10-30	Florian Boor  	<florian.boor@kernelconcepts.de>
	* tools/interface.c: Added IPv6 patch by Libor Klepac
	* Added Russian translation by Pavel Maryanov - many thanks!

2003-10-24	Florian Boor  	<florian.boor@kernelconcepts.de>
	* therme.c: Added feature to enable therme defaults.
	
2003-10-21	Florian Boor  	<florian.boor@kernelconcepts.de>
	* Fixed bug causing broken keylaunch config files.
	  We note: keylaunch config is another tool that needs rework.
	
2003-10-19	Florian Boor  	<florian.boor@kernelconcepts.de>
	* po/cs.po: New Czech translation.
	* suid.c: Fixed a bug causing broken config files. 

2003-10-16	Florian Boor  	<florian.boor@kernelconcepts.de>
	* New French translation, thanks to Luc Pionchon 

2003-10-14	Florian Boor  	<florian.boor@kernelconcepts.de>
	* New Slovak translation, thanks to Marcel Telka for contributing this
	  translation.
	
2003-10-10	Florian Boor  	<florian.boor@kernelconcepts.de>
	* suid.c: Allow users to set the time.

2003-10-06	Florian Boor  	<florian.boor@kernelconcepts.de>
	* Updated translations:
		- Slovak: contributed by Marcel Telka
		- Swedish: contributed by Christian Rose
		- Czech: contributed by Libor Klepac
	
2003-10-01	Florian Boor  	<florian.boor@kernelconcepts.de>
	* main.c: gpe-conf sets the main window icon according selected applet now.
	
2003-09-24	Florian Boor  	<florian.boor@kernelconcepts.de>
	* Changed version to 0.1.1 to deal with ipkg.
	
2003-09-23	Florian Boor  	<florian.boor@kernelconcepts.de>
	* Released 0.1.0-pre10
	* keyctl.c: Fixed stupid crash, removed some obsolete stuff.
	* Removed nasty scrollbar (battery.c).
	* Bold label in login setup. (login-setup.c)
	* Added a nice bold headline to ownerinfo setup (ownerinfo.c).
	* Fixed bug cause network setup to die.
	* Added new Portuguese translation (thanks to Luis Oliveira)
	* Fixed bug in theme.c that caused a crash opening color selectors.

2003-09-22	Florian Boor  	<florian.boor@kernelconcepts.de>
	* Added new pot (translation project version)
	* Added new German (thanks Colin) and Romanian (...) translation.

2003-09-21  Colin Marquardt  <colin@marquardt-home.de>

	* cardinfo.c (Cardinfo_Build_Objects): Fix typo.

	* gpe-conf-users.desktop.in (_Comment): Fix typo.

	* gpe-conf-serial.desktop.in (_Name): Fix typo.

	* gpe-conf-logread.desktop.in (_Comment): Fix typo.

	* misc.c: Include string.h to fix warning about strlen.

	* logread.c (logread_main): Typo fix.
	(logread_main): Change wording.

	* serial.c (Serial_Build_Objects): Fix typos.

2003-09-21	Florian Boor  	<florian.boor@kernelconcepts.de>
	* Applied pb_'s patch to make battery.c compile on !arm systems.
	* Fixed bug in Makefile to work on !arm systems.
	
2003-09-18	Florian Boor  	<florian.boor@kernelconcepts.de>
	* Released 0.1.0-pre9
	* Updated gpe-conf.pot

2003-09-17  Colin Marquardt  <colin@marquardt-home.de>

	* tools/interface.c: Don't gettextize string used for DEBUG.

	* cardinfo.c (Cardinfo_Build_Objects): s/Tap/Click/

	* keyboard.c (Keyboard_Build_Objects): Change string (remove tabs).

2003-09-16	Florian Boor  	<florian.boor@kernelconcepts.de>
	* timeanddate.c: Changed file permissions and made root edit global profile.
	
2003-09-15	Florian Boor  	<florian.boor@kernelconcepts.de>
	* serial.c: Reformated, added check if gpsd config file exists.
	* parser.c: Fixed bug that caused parse_file to segfault.
	* new german translation, thanks Colin!
	* suid.c: moved TZ stuff to timeanddate.c, added mode to set user mode 
	          settings only.
	* timeanddate.c: Added TZ setting, fixed some bugs, added TZ only setting
	                 Changed location of TZ to .profile.
					 Removed obsolete stuff.
	
2003-09-12	Florian Boor  	<florian.boor@kernelconcepts.de>
	* updated *.desktop
	* added generation of .desktop files to Makefile
	* fixed warning in timeanddate.c
	* cleaned up Makefile
	* removed obsolete gpe-confsuid.c
	* removed obsolete menu building script
	* timeanddate.c: cleaned up handling of timer
	* fixed warning in cfgfile.c 
	* fixed warning in serial.c
	* fixed warning in sleep/interface.c
	* added missing include to packages.c
	
2003-09-11	Florian Boor  	<florian.boor@kernelconcepts.de>
	* fixed warning in applets.c, reformated file
	* suid.c: added missing include
	* ipaqscreen/callbacks.c: Fixed wrong include.
	* keyboard.c: Fixed multiple warnings	
	* theme.c: fixed warning
	* ownerinfo.c: fixed warnings
	* users/callbacks.c: fixed warnings

2003-09-11	Florian Boor  	<florian.boor@kernelconcepts.de>
	*	Added Slovak translation, thanks to Marcel Telka

2003-09-02	Florian Boor	<florian.boor@kernelconcepts.de>
	* timeanddate.c: Fixed bug in time setting, removed obsolete stuff.
	
2003-09-01	Florian Boor	<florian.boor@kernelconcepts.de>
	* timeanddate.c: Uses gpe_time_sel now.

2003-08-30	Florian Boor	<florian.boor@kernelconcepts.de>
	* Released V 0.1.0-pre8
	* Applied 2 i8n patches contributed by Libor Klepac
	* New version number for development branch: 0.1.0-pre9
	* updated gpe-conf.pot

2003-08-29	Florian Boor	<florian.boor@kernelconcepts.de>
	* Improved logfile viewer.
	
2003-08-27	Florian Boor	<florian.boor@kernelconcepts.de>
	* Logfile viewer shows users .xsession-errors now

2003-08-26	Florian Boor	<florian.boor@kernelconcepts.de>
	* Applied Libor's patch to create .desktop translations
	* Updated Czech translation and pot
	* Added the new *.desktop.in files

2003-08-23	Florian Boor	<florian.boor@kernelconcepts.de>
	* finished basic gps setup
	* new czech translation - thanks to Libor Klepac
	
2003-08-22	Florian Boor	<florian.boor@kernelconcepts.de>
	* Updated swedish translation
	* Read data from gpsd.conf
	
2003-08-20	Florian Boor	<florian.boor@kernelconcepts.de>
	* Finshed simple gps setup frontend.
	
2003-08-18	Florian Boor	<florian.boor@kernelconcepts.de>
	* Started adding gpsd setup to serial module (for now).
	* fixed calibrate.c, rotation.c for correct build on non-arm platforms
	* Try to toggle mbdock before calibrating, but seems to be broken.
	* keyctl.c has a nice header now.
	* suid.c: Start /usr/bin/gpe-xcalibrate.sh for screen calibration in future.
	* serial.c: Cleanup and removal of never implemented universal interface.

2003-08-17	Florian Boor	<florian.boor@kernelconcepts.de>
	* Updated swedish translation, contributed by Christian Rose
		
2003-08-17	Florian Boor	<florian.boor@kernelconcepts.de>
	* Added swedish translation.
	Thanks to the Translation Project!
	
2003-08-14	Florian Boor	<florian.boor@kernelconcepts.de>
	* Added dutch translation.
	* Added optimising flags to makefile.

2003-08-10	Florian Boor	<florian.boor@kernelconcepts.de>
	* control1 Added libdisplaymigration to the dependencies 
	* released V 0.1.0-pre7

2003-08-06  Luis Oliveira  <luis@handhelds.org>

	* familiar/control1: changed package name to gpe-conf, added
	Provides/Replaces: gpe-conf2

2003-08-01  luc  <luc@handhelds.org>

	* storage.c (Storage_Build_Objects):

When			Who				Where						What

04.08.2003		Florian			interface.c					Changed some strings...
						storage.c

03.08.2003		Florian			interface.c					Applied Libor's patch for irda/i18n.

01.08.2003		Luc			storage.c                                      "MB" need to be translated too	
01.08.2003		Luc			keyboard.c                                      cut string to avoid extra TABS in .pot	
01.08.2003		Luc			cardinfo.c, network.c, storage.c              minor fix for i18n.
	
31.07.2003		Florian			po/fr.po					Updated French translation.

30.07.2003		Florian			main.c						Applied better UTF8 patch from Libor Klepac <elkropac@students.zcu.cz>
								Makefile					Removed obsolete control files. Some minor changes.
								familiar/control1										

30.07.2003		Florian			main.c						Added missing UTF8 binding.
								Makefile					New version.

14.07.2003		Florian			cardinfo.c					Changed text for cards with no known driver.

08.07.2003		Florian			battery.c					Swapped labels...
															Released V 0.1.0-pre6

07.07.2003		Florian			battery.c					Changed offset, removed obsolete stuff.
								po/gpe-conf.pot				Updated pot.

07.07.2003		Florian			battery.c					Changed label for not installed battery.

07.07.2003		Florian			storage.c					Added some space, some smaller optical changes.
								battery.*					New applet: Battery info!
								gpe-conf-battery.desktop
								pixmaps/gpe-conf-battery.png
								Makefile
								main.c

06.07.2003		Moray			Makefile	No longer install old-style menu file.
								applets.c	Removed legacy GTK1 code.
								keyctl.c	Removed legacy GTK1 code.
								network.c	Removed legacy GTK1 code.

06.07.2003		Florian			storage.c					Fixed storage info show rootfs with new mountpoint.
															Made memory info displaying first for faster feedback.
															Major reformating.

03.07.2003		Florian			cardinfo.c					Now wlan-ng devices are shown with the network icon.

03.07.2003		Florian			cardinfo.c					Fixed a bug causing gpe-conf to die with no wlan-ng.conf found.
								pixmaps/pccard-usb.png		Added support for displaying USB cards.
								Makefile					Updated version to -pre6.
								po/de.po					New german language file.

01.07.2003		Florian			cardinfo.*					Added support for wlan-ng driver. Changing from/to 
								suid.c						this driver is now possible. 
															Fixed displaying bug.
								tasks.c						Don't allow non-root users to change DNS.							

30.06.2003		Florian			main.c						New feature: Command line tasks.
								tasks.*						First one: change nameserver.
								Makefile
								
30.06.2003		Florian			packages.*					Added feature to remove a package.
								suid.c

27.06.2003		Florian			theme.c						Set desktop font unsing rgb:xx/xx/xx now.
								packages.c					Added package install tab to update applet.
								suid.c
								Makefile					Updated version to 0.1.0-pre5.

13.06.2003		Florian			po/ro.po					New Portoguese and Romanian translations.
								po/pt.po	

11.06.2003		Florian			po/gpe-conf.pot				Updated pot file.
								po/fr.po					Added French language file.  
								Makefile					New version, released 0.1.0-pre4
								theme.c						New feature for matchbox 0.6: Icon size changing.
															Changed some xsettings values.
															Removed some obsolete cruft...
															
29.05.2003		Florian			control1					Version update, removed gpe-appmgr desktop files. Should be shipped with appmgr. 

29.05.2003		Florian			
								timeanddate.c				Added warning message for TZ changes.

06.05.2003		Florian			cardinfo.c					Device class now shown as text, some display and format updates. 
								timeanddate.c				Removed unused vars.
								Makefile					Version update.
								network.c					Removed loopback interface from list.
								keyctl.c					Added button to reset defaults.

05.05.2003		Florian			po/ro.po					Addition of forgotten Romanian support.
								Makefile

05.05.2003		Florian			cardinfo.c					Fixed behaviour with empty slot, now you can't assign a driver
															to an empty slot.
								network.c					Added some help, major formating changes.															

05.05.2003		Florian			cardinfo.c					Major formating changes.
															Shows as text if no driver is loaded.
															Fixed bug that caused gpe-conf to crash.
								network.c					Removed obsolete entry for network setting.
								serial.c					Added creation of gpsd startup link.

02.05.2003		Florian			network.c					Added dialog that hows current interface configuration.
								tools/interface.*			New files, containing interface config collecting stuff.

30.04.2003		Florian			keyboard.c					Added installation of second package. 

29.04.2003		Florian			network.c					Fixed several bugs in gui, some improvements. 

29.04.2003		Florian			timeanddate.c				Some GUI rework, fixes bug #753

28.04.2003		Florian			theme.c						Fixed missing activation of "rbImage" if a bg image is set.

26.04.2003		Florian			*.dotdesktop				Changed some names.
								cardinfo.*					Updated to call ioctls from suid process.
								suid.c

25.04.2003		Florian			keyboards.def				Bugfixes, added package installation for keyboard packages.
								keyboard.c					(very basic)
								packages.*					
								suid.c						Some comments and tasks for package installation.
								timeanddate.c				Changed setting time call, some cleanups. 

25.04.2003		Florian			po/pt.po					Added translation.
								Makefile

24.04.2003		Florian			packages.c					Added -force-defaults to ipkg call to prevent questions we can't answer.
								gpe-admin.*					Changed handling of global setup, no need to login as root anymore.
								suid.c
								control1					New version: 0.0.9-9
								
22.04.2003		Florian			keyboard.c					Restore routine and some bugfixes.
								pixmaps/gpe-conf-cardinfo.png
															jimmac created a great pcmcia icon - thanks!
	
22.04.2003		Colin			timeanddate.c				Change wording a bit.

22.04.2003		Florian			users/interface.c			Changed to use correct buttons.
								network.c					Ignore auto stuff.
								keyboard.c					Added saving routine. Some minor bugfixes in some other files.

15.04.2003		Florian			Makefile					Added applet and configuration file for 
							    keyboards.def				configuration of external keyboards. (in progress)
								keyboard.*
								pixmaps/gpe-config-kbd.png
								gpe-conf-kbd.desktop
								gpe-conf-keyboard.desktop
								suid.c						Some formating "upgrades".
								control1					Version update.
								pixmaps/...					Updated some pixmaps.

14.04.2003		Florian			Makefile					Changed to standard build system.
								po/gpe-conf.pot				Added file for translation support.
								packages.c					Changed wrap mode.
								timeanddate.c				Added some help.

13.04.2003		Colin			theme.c						Fix button order.

12.04.2003		Florian			main.c						Updated error handling, added error message if PCMCIA init fails.
								cardinfo.c					Fixes Bug #742.
								*.desktop					Changed that all to make applets are only allowed in one instance. Fixes bug #743
								theme.c						Changed label, fixes #744

11.04.2003		Florian			storage.c					Some cleanups.
								timeanddate.c				Improved updateing of time in GUI (if got from network).
								Makefile					Changed permissions of installed files. Added missing logread icon.	
								logread.c					Changed WrapMode for log.

11.04.2003		Florian			network.c					Fixed segfault at start without unconfigured interfaces.
								timeanddate.c				Fixed theme dependent gui bug.
								control1					updated libgpewidget dependency to a newer version, new version nr

10.04.2003		Florian			network.c					Network setup suggests new interfaces now.

09.04.2003		Florian			timeanddate.c				Updated GUI, DST setting is now possible.

08.04.2003		Florian			cfgfile.c					Fixed several minor bugs in string and interface handling.
								network.c					Network interfaces are now added to auto up list. 
								suid.c
								cardinfo.c					Changed button order.

07.04.2003		Phil			cardinfo.c				Add missing include <time.h>.
								pcmcia/*		Avoid need for kernel source.
								Makefile		Add -I. to CPPFLAGS

07.04.2003		Phil			Makefile				Default is native building.
											Remove spurious /usr/src/linux in cflags.
						

07.04.2003		Florian			kbd.c						Changed to current layout file name style.

07.04.2003		Florian			kbd.c						Fixed bug #716, config file names are now read from directory.
								Makefile					Added missing pccard-network.png.
								cardinfo.c					Updateted driver assignment dialog, some minor fixes.
								
06.04.2003		Florian			gpe-conf.menu_tmp			Updated menu file, version info.
								control1

06.04.2003		Florian			timeanddate.c				Fixed bug causing applet to segfault.
								Makefile					Added default config file.
								gpe-conf.config				Fixed storage bar color bug. (red if started as user)
								storage.c					Applied Colins patch to change button order.
								applets.c					Added new icons to Makefile.

04.04.2003		Florian			cardinfo.c					Some minor updates in pcmcia frontend.
								misc.*						Added network check.
								timeanddate.c				"Get time from net" now only active if network is up.
								main.c

04.04.2003		Florian			cardinfo.c					Changed config set generation to generate only sets without "version".

04.04.2003		Florian			cardinfo.c					Fixed some bugs in card handling. Should look better now and find all known cards.

04.04.2003		Florian			cardinfo.*					Finished pcmcia driver assignment/changing task.
								suid.c						Added workaround for the not working cardmgr reset in familiar.
								packages.h					Added missing declaration.

03.04.2003		Florian			cardinfo.c					Buttonbar for manual card control, parser to create a driver list.
															Logread now updates as expected.
															Suid task for cardmgr reset.
															GUI improvements.

02.04.2003		Florian			cardinfo.c					Changed colors to be darker. 

01.04.2003		Florian			cardinfo.* 					Added PCMCIA/CF card information and control applet.
								control1					Updated version info.			
								main.c
								Makefile

31.03.2003		Florian			serial.c					Changed getty switching to prevent problems.

31.03.2003		Florian			serial.*					Hacked very basic serial config code.
								suid.c						What is missing?
								logread.c					Some minor bugfixes.

31.03.2003		Florian			theme.c						Application (GTK) font selection, font selection gui update.

28.03.2003		Florian			timeanddate.c				Changed ui to use GtkDateCombo.
															Added support for some standard timezones.
															Added some (possibly) helpful hints.

26.03.2003		Florian			packages.c					Added some interactive help to package management utility.
															Improved pipe behaviour.

25.03.2003		Florian			packages.c					Package management applet is now able to do 
								storage.c 					a network update. 
								applets.*								
								suid.c
								
23.03.2003		Florian			main.c						New (still empty) package management applet. 
								packages.*
								gpe-conf-packages.desktop
								gpe-config-packages.png
								Makefile

23.03.2003		Florian			main.c 						Config items with only one button are now showed as "dismiss".

23.03.2003		Florian			kbd.c						Now current setting is showed.

23.03.2003		Florian			users/interface.c			User list now has automatic scrollbars :-)

23.03.2003		Florian			ipaqscreen/callbacks.c		Changed sleep conf to use suid task.
								ipaqscreen/interface.*		Fixed several bugs in light/dim stuff.
								suid.c						

22.03.2003		Florian			ipaqscreen/callbacks.*		Fixed screensaver tool, works now, doesn't cause conf to hang.
								ipaqscreen/xset.c			Updated icon.
								ipaqscreen/main.c
								suid.c						fixed screen setup access control

22.03.2003		Florian			suid.c						fixed screen settings root access bug

20.03.2003		Florian			suid.c						rtc is now updated after setting time.

20.03.2003		Florian			users/* suid.c				Added homedir creation.

12.03.2003		Florian			logread.c logread.h			Added system info - logread applet.
								gpe-conf-logread.desktop
								gpe-config-logread.png	

10.03.2003		Florian			HACKING						Added information about serial setup.

10.03.2003		Florian			brightness.c				Updated to compile on x86

07.03.2003		Florian			serial.c serial.h 
								gpe-config-serial.png 
								gpe-conf-serial.desktop		Added serial setup.

07.03.2003		Florian			storage.c					Removed frames.

07.03.2003 		Florian			Files.						Created this file.
